use strict;
use warnings;
use Time::HiRes qw(sleep);
use Test::WWW::Selenium;
use Test::More "no_plan";
use Test::Exception;
use t::Bugzilla;

my $T = t::Bugzilla->new;

my $notes = $T->notes;

my $sel = Test::WWW::Selenium->new( host => $notes->{host},
                                    browser => $notes->{browser},
                                    browser_url => $notes->{browser_url} );

$sel->open_ok("/rh_bugzilla_3/index.cgi");
$sel->type_ok("Bugzilla_password", "password");
$sel->type_ok("Bugzilla_login", "admin\@redhat.com");
$sel->click_ok("log_in");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("link=Administration");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("link=Groups");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("link=Add Group");
$sel->wait_for_page_to_load_ok("30000");
$sel->type_ok("name", "Bugtool");
$sel->type_ok("desc", "Access to bugs in the Bugtool product");
my $Bugtool_group = $sel->get_value("name");
$sel->click_ok("create");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("link=group list");

$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("link=Add Group");
$sel->wait_for_page_to_load_ok("30000");
$sel->type_ok("name", "devel");
$sel->type_ok("desc", "RedHat Development");
my $devel_group = $sel->get_value("name");
$sel->click_ok("create");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("link=group list");

$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("link=Add Group");
$sel->wait_for_page_to_load_ok("30000");
$sel->type_ok("desc", "JBoss Confidential Group");
$sel->type_ok("name", "jboss");
my $jboss_group = $sel->get_value("name");
$sel->click_ok("insertnew");
$sel->click_ok("create");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("link=group list");
$sel->wait_for_page_to_load_ok("30000");

$sel->click_ok("link=Add Group");
$sel->wait_for_page_to_load_ok("30000");
$sel->type_ok("name", "private_comment");
$sel->type_ok("desc", "Private Comment Visibility Group");
my $private_comment_group = $sel->get_value("name");
$sel->click_ok("insertnew");
$sel->click_ok("create");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("link=group list");
$sel->wait_for_page_to_load_ok("30000");


$sel->click_ok("link=Add Group");
$sel->wait_for_page_to_load_ok("30000");
$sel->type_ok("name", "series");
$sel->type_ok("desc", "Series Chart Group");
my $series_group = $sel->get_value("name");
$sel->click_ok("insertnew");
$sel->click_ok("create");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("link=group list");
$sel->wait_for_page_to_load_ok("30000");

$sel->click_ok("link=Add Group");
$sel->wait_for_page_to_load_ok("30000");
$sel->type_ok("name", "qa");
$sel->type_ok("desc", "Red Hat Quality Assurance");
my $qa_group = $sel->get_value("name");
$sel->click_ok("insertnew");
$sel->click_ok("create");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("link=group list");
$sel->wait_for_page_to_load_ok("30000");

$sel->click_ok("link=Add Group");
$sel->wait_for_page_to_load_ok("30000");
$sel->type_ok("name", "internalwhiteboard");
$sel->type_ok("desc", "Internal Whiteboard Group");
my $internalwhiteboard_group = $sel->get_value("name");
$sel->click_ok("insertnew");
$sel->click_ok("create");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("link=group list");



$T->notes( 'groups' => { Bugtool => $Bugtool_group,
                         devel => $devel_group,
                         jboss => $jboss_group,
                         private_comment => $private_comment_group,
                         series => $series_group,
                         qa => $qa_group,
                         internalwhiteboard => $internalwhiteboard_group,
                       }
         );

