use strict;
use warnings;
use Time::HiRes qw(sleep);
use Test::WWW::Selenium;
use Test::More "no_plan";
use Test::Exception;
use t::Bugzilla;

my $T = t::Bugzilla->new;

my $notes = $T->notes;

my $sel = Test::WWW::Selenium->new( host => $notes->{host},
                                    browser => $notes->{experimental_browser_launcher},
                                    browser_url => $notes->{browser_url} );


$sel->open_ok("/rh_bugzilla_3/");
$sel->type_ok("Bugzilla_login", $notes->{admin_username});
$sel->type_ok("Bugzilla_password", $notes->{admin_password});
$sel->click_ok("log_in");
$sel->wait_for_page_to_load_ok("30000");
$sel->type_ok("quicksearch_top", "1");
$sel->click_ok("find_top");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("link=Add an attachment");
$sel->wait_for_page_to_load_ok("30000");
$sel->type_ok("data", "/home/tfu/cvs/bugzilla/checksetup.pl");
my $filepath = $sel->get_value("data");
$sel->type_ok("description", "This is the checksetup.pl file used to create bugs database it is only added as an attachment for testing");
my $description = $sel->get_value("description");
my $ispatch = $sel->is_element_present("//td/label[1]");
$sel->click_ok("list");
my $contenttype = $sel->get_text("//option[\@value='text/plain']");
$sel->type_ok("comment", "This attachment is only added for testing purpose");
my $comment = $sel->get_value("comment");
$sel->click_ok("create");
$sel->wait_for_page_to_load_ok("30000");

#get the file name from the absolute file path
my @patharray = split(/\//, $filepath);
my $filename = $patharray[$#patharray];

#convert the string value of ispatch to numerical value
if ($ispatch eq "on"){
    $ispatch = 1;
}
else {
    $ispatch = 0;
}


$T->notes('attachmentfields' => {
                          'ispatch' => $ispatch, 
                          'comment' => $comment,
                          'description' => $description,
                          'contenttype' => $contenttype,
                          'filepath'    => $filepath,
                          'filename' => $filename,                                
                          }
         );

