use strict;
use warnings;
use Time::HiRes qw(sleep);
use Test::WWW::Selenium;
use Test::More "no_plan";
use Test::Exception;
use t::Bugzilla;

my $T = t::Bugzilla->new;

my $notes = $T->notes;

my $sel = Test::WWW::Selenium->new( host => $notes->{host},
                                    browser => $notes->{browser},
                                    browser_url => $notes->{browser_url} );


$sel->open_ok("/rh_bugzilla_3/");
$sel->type_ok("Bugzilla_password", "password");
$sel->type_ok("Bugzilla_login", "admin\@redhat.com");
$sel->click_ok("log_in");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("link=New");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("link=RHN Test Product");
$sel->wait_for_page_to_load_ok("30000");
$sel->select_ok("component", "label=RHN/API");
$sel->type_ok("short_desc", "This bug is created to change its status");
$sel->click_ok("commit");
$sel->wait_for_page_to_load_ok("30000");
$sel->select_ok("bug_status", "label=ASSIGNED");
$sel->click_ok("//input[\@value='Commit']");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("link=bug 2");
$sel->wait_for_page_to_load_ok("30000");
my $assigned_bugid = $sel->is_text_present("Bug 2");


$T->notes('assigned_bugid' => $assigned_bugid );
