use strict;
use warnings;
use Time::HiRes qw(sleep);
use Test::WWW::Selenium;
use Test::More "no_plan";
use Test::Exception;
use t::Bugzilla;

my $T = t::Bugzilla->new;

my $notes = $T->notes;

my $sel = Test::WWW::Selenium->new( host => $notes->{host},
                                    browser => $notes->{browser},
                                    browser_url => $notes->{browser_url} );


$sel->open_ok("/rh_bugzilla_3/");
$sel->type_ok("Bugzilla_login", $notes->{admin_username});
$sel->type_ok("Bugzilla_password", $notes->{admin_password});
$sel->click_ok("log_in");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("link=Administration");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("link=Products");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("link=Unclassified");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("link=RHEL Test Product");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("link=Edit Group Access Controls:");
$sel->wait_for_page_to_load_ok("30000");
$sel->select_ok("membercontrol_15", "label=Shown");
$sel->select_ok("membercontrol_19", "label=Shown");
$sel->click_ok("submit");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("link=New");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("link=RHEL Test Product");
$sel->wait_for_page_to_load_ok("30000");
$sel->select_ok("component", "label=4Suite");
$sel->type_ok("cc", "qauser\@redhat.com");
$sel->type_ok("assigned_to", "develuser\@redhat.com");
$sel->type_ok("short_desc", "This bug is created to test adding and removing groups.");
$sel->click_ok("commit");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("link=Bug 6");
$sel->wait_for_page_to_load_ok("30000");
my $bugid = $sel->is_text_present("Bug 6");

$T->notes( 'group_enabled_bug' => $bugid );
