use strict;
use warnings;
use Proc::ProcessTable;

use Test::More tests => 2;

my $pid_file = 'selenium-server.pid';

open PID_FILE, "<$pid_file"
  or die "couldn't open $pid_file";

my $server_pid = <PID_FILE>;

if ($server_pid) {
    kill 9, $server_pid;
}
else {
    print "Error - There were no processes to kill.\n";
}

close(PID_FILE);

my $process_is_running = 0;

# check if the process has been killed or it is still running
my $t = new Proc::ProcessTable;
for my $p ( @{ $t->table } ) {
    if ( $server_pid == $p->{pid} ) {
        $process_is_running = 1;
    }
}

cmp_ok( $process_is_running, '==', 0,
    'The selenium server process has been killed successfully' );
ok( unlink($pid_file), "$pid_file file deleted successfully" );

