package t::Bugzilla;
use strict;
use warnings;
use Carp;
use Data::Dumper;

my $NOTES_FILE = 't/test-notes.conf';

sub new {
    my $class = shift;

    my $self = bless { notes => {} }, $class;

    if ( -f $NOTES_FILE ) {
        my $notes = do $NOTES_FILE;
        if ( not $notes ) {
            croak "couldn't parse $NOTES_FILE: $@" if $@;
            croak "couldn't do $NOTES_FILE: $!" unless defined $notes;
            croak "couldn't run $NOTES_FILE"    unless $notes;
        }
        $self->{notes} = $notes;
    }
    else {
        $self->store;
    }

    return $self;
}

sub notes {

    my ( $self, $key, $value ) = @_;

    # if two arguments were passed to notes() then set
    # set the value associated with the given key
    # to $value then return the new value
    if ($value) {
        $self->{notes}{$key} = $value;
        return $self->{notes}{$key};

    }

    # esle if only on argument was passed to notes()
    # then return the value associated with the passed
    # key
    elsif ($key) {
        return $self->{notes}{$key};
    }

    # esle if no arguments were passed to notes()
    # then return the entire hash
    else {
        return $self->{notes};
    }

}

sub store {
    my $self = shift;

    # store the hash notes to a file
    open my $notes, '>', $NOTES_FILE
        or croak "couldn't open $NOTES_FILE: $!";
    print {$notes} Data::Dumper::Dumper( $self->{notes} );
    close $notes;

    return;
}

sub DESTROY {
    $_[0]->store;
}
1;
